OpenStack Image Registry and Delivery Service (Glance)

Cannot specify a version to 'glance-manage version_control'

Reported by Mark McLoughlin on 2012-03-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
Medium
Mark McLoughlin

Bug Description

'glance-manage version_control' takes an existing unversioned database and associations it with a migration version.

However, you can't actually specify a migration version, so it defaults to zero. This only makes sense for a completely empty database.

See bug #966241 for why you might a unversioned DB in the first place.

Mark McLoughlin (markmc) on 2012-03-27
Changed in glance:
assignee: nobody → Mark McLoughlin (markmc)
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/5862

Changed in glance:
status: New → In Progress
Brian Waldon (bcwaldon) on 2012-03-27
tags: added: essex-rc-potential
Changed in glance:
importance: Undecided → Medium

Reviewed: https://review.openstack.org/5862
Committed: http://github.com/openstack/glance/commit/da66de06763dd872f139491930cf1deb6a723b06
Submitter: Jenkins
Branch: master

commit da66de06763dd872f139491930cf1deb6a723b06
Author: Mark McLoughlin <email address hidden>
Date: Tue Mar 27 12:23:47 2012 +0100

    Allow specifying the current version in 'glance-manage version_control'

    Fixes bug #966242

    The version_control command is a bit useless since you can't actually
    specify what version to use and it defaults to version=0.

    Allow the user to specify a version:

      $> glance-manage version_control 9 # set the diablo version

    and default to the latest version if none is specified.

    Also, allow db_sync to be supplied a version for the case where we're
    upgrading an unversioned DB.

    Finally, re-work the argument handling in glance-manage to more easily
    handle optional args.

    The tests are extended to test using db_sync for upgrades and to test
    placing an existing database under version control.

    Change-Id: I231dc710554198bfd1fdcb82c3c3768963f64bd8

Changed in glance:
status: In Progress → Fix Committed
Brian Waldon (bcwaldon) on 2012-03-30
Changed in glance:
milestone: none → essex-rc2
Thierry Carrez (ttx) on 2012-03-30
tags: removed: essex-rc-potential

Reviewed: https://review.openstack.org/5980
Committed: http://github.com/openstack/glance/commit/1e708f423c5c8a3ac2c2905971a04e47bd484c88
Submitter: Jenkins
Branch: milestone-proposed

commit 1e708f423c5c8a3ac2c2905971a04e47bd484c88
Author: Mark McLoughlin <email address hidden>
Date: Tue Mar 27 12:23:47 2012 +0100

    Allow specifying the current version in 'glance-manage version_control'

    Fixes bug #966242

    The version_control command is a bit useless since you can't actually
    specify what version to use and it defaults to version=0.

    Allow the user to specify a version:

      $> glance-manage version_control 9 # set the diablo version

    and default to the latest version if none is specified.

    Also, allow db_sync to be supplied a version for the case where we're
    upgrading an unversioned DB.

    Finally, re-work the argument handling in glance-manage to more easily
    handle optional args.

    The tests are extended to test using db_sync for upgrades and to test
    placing an existing database under version control.

    Change-Id: I231dc710554198bfd1fdcb82c3c3768963f64bd8

Changed in glance:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in glance:
milestone: essex-rc2 → 2012.1

Reviewed: https://review.openstack.org/6077
Committed: http://github.com/openstack/glance/commit/2f9eba10e05207adc92619084755ad204fd1f05d
Submitter: Jenkins
Branch: stable/diablo

commit 2f9eba10e05207adc92619084755ad204fd1f05d
Author: Mark McLoughlin <email address hidden>
Date: Tue Mar 27 12:23:47 2012 +0100

    Allow specifying the current version in 'glance-manage version_control'

    Fixes bug #966242

    The version_control command is a bit useless since you can't actually
    specify what version to use and it defaults to version=0.

    Allow the user to specify a version:

      $> glance-manage version_control 9 # set the diablo version

    and default to the latest version if none is specified.

    Also, allow db_sync to be supplied a version for the case where we're
    upgrading an unversioned DB.

    Finally, re-work the argument handling in glance-manage to more easily
    handle optional args.

    The tests are extended to test using db_sync for upgrades and to test
    placing an existing database under version control.

    Change-Id: I231dc710554198bfd1fdcb82c3c3768963f64bd8

tags: added: in-stable-diablo
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers